EmacsUtil (jEdit API Documentation)
Date: 2015-02-03

org.jedit.keymap

## Class EmacsUtil

- java.lang.Object
- - org.jedit.keymap.EmacsUtil

-     public class EmacsUtil
      extends java.lang.Object

  Emacs Macro utility functions. These functions are based on EmacsUtil.bsh from the Emacs macros by Brian M. Clapper. Rewritten in Java by Alan Ezust in 2013.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmacsUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToClipboardAndHistory(Selection selection)`
    `void` | `addToClipboardAndHistory(java.lang.String string)`
    `boolean` | `atEndOfBuffer()`
    `boolean` | `atEndOfBuffer(int caret)`
    `void` | `beep()`
    `char` | `charAt(int i)`
    `char` | `charAtCaret()`
    `int` | `eatNonAlphanums()`
    `int` | `eatWhitespace()`
    `void` | `emacsKillLine()`
    `int` | `findBeginningOfSentence()`
    `int` | `findEndOfSentence()`
    `int` | `getCardinalProperty(java.lang.String name, int defaultValue)`
    `java.lang.String` | `getClipboard()`
    `int` | `getDefaultWrap()`
    `Selection` | `getKillRegion()`
    `int` | `getMark(Buffer buffer)`
    `java.lang.String` | `lineAt(int i)`
    `java.lang.String` | `makeBufferPropertyName(Buffer theBuffer, java.lang.String prefix)`
    `java.lang.String` | `makeBufferPropertyName(java.lang.String prefix)`
    `boolean` | `repeatingSameMacro(java.lang.String macroName)`
    `void` | `setClipboard(Selection selection)`
    `void` | `setClipboard(java.lang.String string)`
    `void` | `setMark(Buffer buffer, int pos)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EmacsUtil

          public EmacsUtil()

  - ### Method Detail

    - #### emacsKillLine

          public void emacsKillLine()

    - #### repeatingSameMacro

          public boolean repeatingSameMacro(java.lang.String macroName)

    - #### lineAt

          public java.lang.String lineAt(int i)

    - #### charAt

          public char charAt(int i)

    - #### charAtCaret

          public char charAtCaret()

    - #### atEndOfBuffer

          public boolean atEndOfBuffer()

    - #### atEndOfBuffer

          public boolean atEndOfBuffer(int caret)

    - #### eatNonAlphanums

          public int eatNonAlphanums()

    - #### eatWhitespace

          public int eatWhitespace()

    - #### getCardinalProperty

          public int getCardinalProperty(java.lang.String name,
                                int defaultValue)

    - #### makeBufferPropertyName

          public java.lang.String makeBufferPropertyName(java.lang.String prefix)

    - #### makeBufferPropertyName

          public java.lang.String makeBufferPropertyName(Buffer theBuffer,
                                                java.lang.String prefix)

    - #### getDefaultWrap

          public int getDefaultWrap()

    - #### getMark

          public int getMark(Buffer buffer)

    - #### setMark

          public void setMark(Buffer buffer,
                     int pos)

    - #### beep

          public void beep()

    - #### getKillRegion

          public Selection getKillRegion()

    - #### getClipboard

          public java.lang.String getClipboard()

    - #### setClipboard

          public void setClipboard(java.lang.String string)

    - #### setClipboard

          public void setClipboard(Selection selection)

    - #### addToClipboardAndHistory

          public void addToClipboardAndHistory(java.lang.String string)

    - #### addToClipboardAndHistory

          public void addToClipboardAndHistory(Selection selection)

    - #### findEndOfSentence

          public int findEndOfSentence()

    - #### findBeginningOfSentence

          public int findBeginningOfSentence()